Index: README.txt
===================================================================
--- README.txt	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ README.txt	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -3,5 +3,5 @@
 =================================
 
-Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 TSPSG is intended to generate and solve Travelling Salesman Problem
Index: docs/dox/changelog.dox
===================================================================
--- docs/dox/changelog.dox	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ docs/dox/changelog.dox	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*! \page changelog TSPSG ChangeLog
 
-\author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+\author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 $Id: $Format:%h %ai %an$ $
 $URL: http://tspsg.info/ $
Index: docs/dox/install.dox
===================================================================
--- docs/dox/install.dox	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ docs/dox/install.dox	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*! \page install TSPSG Installation Guide
 
-\author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+\author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 $Id: $Format:%h %ai %an$ $
 $URL: http://tspsg.info/ $
Index: docs/dox/mainpage.dox
===================================================================
--- docs/dox/mainpage.dox	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ docs/dox/mainpage.dox	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -7,5 +7,5 @@
 \image html tspsg.png
 <b>TSPSG: TSP Solver and Generator</b>
-\author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+\author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 \b Homepage: <a href="http://tspsg.info/">tspsg.info</a>
Index: doxygen.conf
===================================================================
--- doxygen.conf	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ doxygen.conf	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 #
 # TSPSG: TSP Solver and Generator
-# Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+# Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 # $Id: $Format:%h %ai %an$ $
Index: help/about.en.txt
===================================================================
--- help/about.en.txt	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/about.en.txt	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/about.ru.txt
===================================================================
--- help/about.ru.txt	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/about.ru.txt	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2011 Алексей Сердюк <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2012 Алексей Сердюк <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/about.uk.txt
===================================================================
--- help/about.uk.txt	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/about.uk.txt	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,4 +1,4 @@
 TSPSG: TSP Solver and Generator
-Copyright (C) 2007-2011 Олексій Сердюк <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2012 Олексій Сердюк <contacts[at]oleksii[dot]name>
 
 $Id: $Format:%h %ai %an$ $
Index: help/html/en/about.html
===================================================================
--- help/html/en/about.html	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/en/about.html	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/credits.html
===================================================================
--- help/html/en/credits.html	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/en/credits.html	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/index.html
===================================================================
--- help/html/en/index.html	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/en/index.html	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/l10n.html
===================================================================
--- help/html/en/l10n.html	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/en/l10n.html	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/license.html
===================================================================
--- help/html/en/license.html	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/en/license.html	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/mainwindow.html
===================================================================
--- help/html/en/mainwindow.html	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/en/mainwindow.html	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/en/preferences.html
===================================================================
--- help/html/en/preferences.html	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/en/preferences.html	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/html/style.css
===================================================================
--- help/html/style.css	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/style.css	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: help/html/tspsg.qhp
===================================================================
--- help/html/tspsg.qhp	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/html/tspsg.qhp	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: help/tspsg.qhcp
===================================================================
--- help/tspsg.qhcp	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ help/tspsg.qhcp	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 <!--
  !  TSPSG: TSP Solver and Generator
- !  Copyright (C) 2007-2011 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+ !  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  !
  !  $Id: $Format:%h %ai %an$ $
Index: install.pri
===================================================================
--- install.pri	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ install.pri	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
Index: resources/tspsg.rc
===================================================================
--- resources/tspsg.rc	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ resources/tspsg.rc	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -44,9 +44,9 @@
             VALUE "ProductName", "TSP Solver and Generator"
             VALUE "ProductVersion", BUILD_VERSION
-            VALUE "CompanyName", "Oleksii ""Lёppa"" Serdiuk"
+            VALUE "CompanyName", "Oleksii Serdiuk"
             VALUE "FileDescription", "TSPSG: TSP Solver and Generator"
             VALUE "FileVersion", BUILD_VERSION
             VALUE "InternalName", "TSPSG"
-            VALUE "LegalCopyright", "Copyright © 2007-2010 Oleksii ""Lёppa"" Serdiuk <contacts[at]oleksii[dot]name>"
+            VALUE "LegalCopyright", "Copyright © 2007-2010 Oleksii Serdiuk <contacts[at]oleksii[dot]name>"
 #ifdef DEBUG
             VALUE "OriginalFilename", "tspsgd.exe"
Index: src/_.h
===================================================================
--- src/_.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/_.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/defaults.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file defaults.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/globals.cpp
===================================================================
--- src/globals.cpp	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/globals.cpp	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/globals.h
===================================================================
--- src/globals.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/globals.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file globals.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/mainwindow.h
===================================================================
--- src/mainwindow.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/mainwindow.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file mainwindow.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
@@ -45,5 +45,5 @@
 /*!
  * \brief Class for handling Main Window UI and logic.
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  */
 class MainWindow: public QMainWindow, Ui::MainWindow
Index: src/os.h
===================================================================
--- src/os.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/os.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file os.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/resource.h
===================================================================
--- src/resource.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/resource.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file resource.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/settingsdialog.cpp	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/settingsdialog.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file settingsdialog.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
@@ -35,5 +35,5 @@
 /*!
  * \brief Class for handling Settings Dialog UI and logic.
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  */
 class SettingsDialog: public QDialog, Ui::SettingsDialog
Index: src/tspmodel.cpp
===================================================================
--- src/tspmodel.cpp	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/tspmodel.cpp	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/tspmodel.h
===================================================================
--- src/tspmodel.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/tspmodel.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file tspmodel.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
@@ -33,5 +33,5 @@
 /*!
  * \brief This class implements table model for manipulating a task.
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  */
 class CTSPModel: public QAbstractTableModel
Index: src/tspsolver.cpp
===================================================================
--- src/tspsolver.cpp	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/tspsolver.cpp	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*
  *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ *  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: src/tspsolver.h
===================================================================
--- src/tspsolver.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/tspsolver.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file tspsolver.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
@@ -100,5 +100,5 @@
 /*!
  * \brief This class solves Travelling Salesman Problem task.
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  */
 class CTSPSolver: public QObject
Index: src/version.h
===================================================================
--- src/version.h	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ src/version.h	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -1,5 +1,5 @@
 /*!
  * \file version.h
- * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ * \author Copyright &copy; 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
  *
  *  $Id: $Format:%h %ai %an$ $
Index: tspsg.pri
===================================================================
--- tspsg.pri	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ tspsg.pri	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
Index: tspsg.pro
===================================================================
--- tspsg.pro	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ tspsg.pro	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $
@@ -26,8 +26,8 @@
 
 # Version information
-QMAKE_TARGET_COMPANY = Oleksii "Lёppa" Serdiuk
+QMAKE_TARGET_COMPANY = Oleksii Serdiuk
 QMAKE_TARGET_PRODUCT = TSP Solver and Generator
 QMAKE_TARGET_DESCRIPTION = TSPSG: TSP Solver and Generator
-QMAKE_TARGET_COPYRIGHT = Copyright © 2007-2011 Oleksii "Lёppa" Serdiuk <contacts[at]oleksii[dot]name>
+QMAKE_TARGET_COPYRIGHT = Copyright © 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 
 # Version detection
Index: version.pri
===================================================================
--- version.pri	(revision b26801b0000b30a20d4dd67a4c6b5687314f2ce4)
+++ version.pri	(revision 0af510a462e552cd7b866df47f9ef98974cc4c7a)
@@ -2,5 +2,5 @@
 #
 #  TSPSG: TSP Solver and Generator
-#  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+#  Copyright (C) 2007-2012 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
 #
 #  $Id: $Format:%h %ai %an$ $