Index: trunk/ui/mainwindow.ui
===================================================================
--- trunk/ui/mainwindow.ui	(revision 178)
+++ trunk/ui/mainwindow.ui	(revision 1)
@@ -1,521 +1,388 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<ui version="4.0">
- <author>Lёppa: $Id$</author>
+<ui version="4.0" >
  <class>MainWindow</class>
- <widget class="QMainWindow" name="MainWindow">
-  <property name="geometry">
+ <widget class="QMainWindow" name="MainWindow" >
+  <property name="geometry" >
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>548</width>
-    <height>448</height>
+    <width>589</width>
+    <height>460</height>
    </rect>
   </property>
-  <property name="windowIcon">
-   <iconset resource="../resources/common.qrc">
-    <normaloff>:/images/tspsg.png</normaloff>:/images/tspsg.png</iconset>
+  <property name="minimumSize" >
+   <size>
+    <width>589</width>
+    <height>460</height>
+   </size>
   </property>
-  <widget class="QTabWidget" name="tabWidget">
-   <property name="tabPosition">
-    <enum>QTabWidget::North</enum>
-   </property>
-   <widget class="QWidget" name="tabTask">
-    <attribute name="title">
-     <string>Task</string>
-    </attribute>
-    <layout class="QVBoxLayout" name="_2">
-     <item>
-      <layout class="QHBoxLayout" name="_4">
-       <item>
-        <spacer name="spacer">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>40</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item>
-        <widget class="QLabel" name="labelVariant">
-         <property name="text">
-          <string>&amp;Variant:</string>
-         </property>
-         <property name="buddy">
-          <cstring>spinVariant</cstring>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QSpinBox" name="spinVariant">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Number of variant</string>
-         </property>
-         <property name="minimum">
-          <number>1</number>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QLabel" name="labelCities">
-         <property name="text">
-          <string>&amp;Cities:</string>
-         </property>
-         <property name="buddy">
-          <cstring>spinCities</cstring>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QSpinBox" name="spinCities">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Number of cities</string>
-         </property>
-         <property name="minimum">
-          <number>3</number>
-         </property>
-         <property name="value">
-          <number>5</number>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <spacer name="spacer_2">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>40</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-      </layout>
-     </item>
-     <item>
-      <widget class="QTableView" name="taskView">
-       <property name="statusTip">
-        <string>Cost of travel from city to city</string>
-       </property>
-       <property name="selectionMode">
-        <enum>QAbstractItemView::NoSelection</enum>
-       </property>
+  <property name="windowTitle" >
+   <string>Задача коммивояжера</string>
+  </property>
+  <property name="windowIcon" >
+   <iconset resource="../resources/tspsg.qrc" >:/images/Icon.png</iconset>
+  </property>
+  <widget class="QWidget" name="centralwidget" >
+   <layout class="QGridLayout" >
+    <item row="0" column="0" >
+     <widget class="QTabWidget" name="tabWidget" >
+      <property name="sizePolicy" >
+       <sizepolicy vsizetype="Expanding" hsizetype="Expanding" >
+        <horstretch>0</horstretch>
+        <verstretch>0</verstretch>
+       </sizepolicy>
+      </property>
+      <property name="currentIndex" >
+       <number>0</number>
+      </property>
+      <widget class="QWidget" name="tabTask" >
+       <attribute name="title" >
+        <string>Задание</string>
+       </attribute>
+       <layout class="QVBoxLayout" >
+        <item>
+         <layout class="QHBoxLayout" >
+          <item>
+           <spacer>
+            <property name="orientation" >
+             <enum>Qt::Horizontal</enum>
+            </property>
+            <property name="sizeHint" >
+             <size>
+              <width>40</width>
+              <height>20</height>
+             </size>
+            </property>
+           </spacer>
+          </item>
+          <item>
+           <widget class="QLabel" name="labelVariant" >
+            <property name="text" >
+             <string>&amp;Вариант:</string>
+            </property>
+            <property name="buddy" >
+             <cstring>spinVariant</cstring>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <widget class="QSpinBox" name="spinVariant" >
+            <property name="cursor" >
+             <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="minimum" >
+             <number>1</number>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <widget class="QLabel" name="labelCities" >
+            <property name="text" >
+             <string>&amp;Городов:</string>
+            </property>
+            <property name="buddy" >
+             <cstring>spinCities</cstring>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <widget class="QSpinBox" name="spinCities" >
+            <property name="cursor" >
+             <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="minimum" >
+             <number>3</number>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <spacer>
+            <property name="orientation" >
+             <enum>Qt::Horizontal</enum>
+            </property>
+            <property name="sizeHint" >
+             <size>
+              <width>40</width>
+              <height>20</height>
+             </size>
+            </property>
+           </spacer>
+          </item>
+         </layout>
+        </item>
+        <item>
+         <widget class="QTableView" name="tableTask" />
+        </item>
+        <item>
+         <layout class="QHBoxLayout" >
+          <item>
+           <spacer>
+            <property name="orientation" >
+             <enum>Qt::Horizontal</enum>
+            </property>
+            <property name="sizeHint" >
+             <size>
+              <width>40</width>
+              <height>20</height>
+             </size>
+            </property>
+           </spacer>
+          </item>
+          <item>
+           <widget class="QPushButton" name="buttonRandom" >
+            <property name="cursor" >
+             <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="statusTip" >
+             <string>Заполнить таблицу случайными значениями</string>
+            </property>
+            <property name="text" >
+             <string>Случайно</string>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <widget class="QPushButton" name="buttonSolve" >
+            <property name="cursor" >
+             <cursorShape>PointingHandCursor</cursorShape>
+            </property>
+            <property name="statusTip" >
+             <string>Решить текущую задачу</string>
+            </property>
+            <property name="text" >
+             <string>Решить</string>
+            </property>
+            <property name="icon" >
+             <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OK.png</iconset>
+            </property>
+           </widget>
+          </item>
+         </layout>
+        </item>
+       </layout>
       </widget>
-     </item>
-     <item>
-      <layout class="QHBoxLayout" name="_5">
-       <item>
-        <spacer name="spacer_3">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>40</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item>
-        <widget class="QPushButton" name="buttonRandom">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Fill table with random numbers</string>
-         </property>
-         <property name="text">
-          <string>Random</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QPushButton" name="buttonSolve">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Solve current task</string>
-         </property>
-         <property name="text">
-          <string>Solve</string>
-         </property>
-        </widget>
-       </item>
-      </layout>
-     </item>
-    </layout>
-   </widget>
-   <widget class="QWidget" name="tabSolution">
-    <attribute name="title">
-     <string>Solution</string>
-    </attribute>
-    <layout class="QVBoxLayout" name="_3">
-     <item>
-      <widget class="QTextEdit" name="solutionText">
-       <property name="enabled">
-        <bool>false</bool>
-       </property>
-       <property name="statusTip">
-        <string>Solution steps</string>
-       </property>
-       <property name="undoRedoEnabled">
-        <bool>false</bool>
-       </property>
-       <property name="readOnly">
-        <bool>true</bool>
-       </property>
-       <property name="textInteractionFlags">
-        <set>Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
-       </property>
+      <widget class="QWidget" name="tabSolution" >
+       <attribute name="title" >
+        <string>Результат</string>
+       </attribute>
+       <layout class="QVBoxLayout" >
+        <item>
+         <layout class="QHBoxLayout" >
+          <property name="spacing" >
+           <number>0</number>
+          </property>
+          <item>
+           <widget class="QTextEdit" name="textEdit" >
+            <property name="sizePolicy" >
+             <sizepolicy vsizetype="Expanding" hsizetype="Fixed" >
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="readOnly" >
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <widget class="QGraphicsView" name="graphicsView" />
+          </item>
+         </layout>
+        </item>
+       </layout>
       </widget>
-     </item>
-     <item>
-      <layout class="QHBoxLayout" name="_6">
-       <item>
-        <widget class="QPushButton" name="buttonSaveSolution">
-         <property name="enabled">
-          <bool>false</bool>
-         </property>
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Save solution to a file</string>
-         </property>
-         <property name="text">
-          <string>Save Solution</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <spacer name="spacer_4">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>40</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item>
-        <widget class="QPushButton" name="buttonBackToTask">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Go back to Task tab</string>
-         </property>
-         <property name="text">
-          <string>Back to Task</string>
-         </property>
-        </widget>
-       </item>
-      </layout>
-     </item>
-    </layout>
-   </widget>
+     </widget>
+    </item>
+   </layout>
   </widget>
-  <widget class="QMenuBar" name="menuMain">
-   <property name="geometry">
+  <widget class="QMenuBar" name="menubar" >
+   <property name="geometry" >
     <rect>
      <x>0</x>
      <y>0</y>
-     <width>548</width>
+     <width>589</width>
      <height>21</height>
     </rect>
    </property>
-   <widget class="QMenu" name="menuFile">
-    <property name="windowIcon">
-     <iconset>
-      <normaloff/>
-     </iconset>
+   <widget class="QMenu" name="menuFile" >
+    <property name="windowIcon" >
+     <iconset/>
     </property>
-    <property name="title">
-     <string>&amp;File</string>
+    <property name="title" >
+     <string>&amp;Файл</string>
     </property>
-    <widget class="QMenu" name="menuFileSaveAs">
-     <property name="title">
-      <string>Save &amp;As</string>
+    <widget class="QMenu" name="menuFileSave" >
+     <property name="title" >
+      <string>Со&amp;хранить</string>
      </property>
-     <addaction name="actionFileSaveAsTask"/>
-     <addaction name="actionFileSaveAsSolution"/>
+     <property name="icon" >
+      <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
+     </property>
+     <addaction name="actionFileSaveResults" />
+     <addaction name="actionFileSaveGraph" />
+     <addaction name="actionFileSaveAll" />
     </widget>
-    <addaction name="actionFileNew"/>
-    <addaction name="actionFileOpen"/>
-    <addaction name="actionFileSave"/>
-    <addaction name="menuFileSaveAs"/>
-    <addaction name="separator"/>
-    <addaction name="actionFileExit"/>
+    <addaction name="actionFileNew" />
+    <addaction name="actionFileOpen" />
+    <addaction name="menuFileSave" />
+    <addaction name="separator" />
+    <addaction name="actionFilePrintSetup" />
+    <addaction name="actionFilePrint" />
+    <addaction name="separator" />
+    <addaction name="actionFileExit" />
    </widget>
-   <widget class="QMenu" name="menuSettings">
-    <property name="title">
-     <string>&amp;Settings</string>
+   <widget class="QMenu" name="menuSettings" >
+    <property name="title" >
+     <string>&amp;Настройки</string>
     </property>
-    <widget class="QMenu" name="menuSettingsLanguage">
-     <property name="title">
-      <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
-     </property>
-     <addaction name="actionSettingsLanguageAutodetect"/>
-     <addaction name="separator"/>
-     <addaction name="actionSettingsLanguageEnglish"/>
-    </widget>
-    <widget class="QMenu" name="menuSettingsStyle">
-     <property name="title">
-      <string>Style</string>
-     </property>
-    </widget>
-    <widget class="QMenu" name="menuSettingsToolbars">
-     <property name="title">
-      <string>Toolbars</string>
-     </property>
-    </widget>
-    <addaction name="menuSettingsLanguage"/>
-    <addaction name="menuSettingsStyle"/>
-    <addaction name="menuSettingsToolbars"/>
-    <addaction name="separator"/>
-    <addaction name="actionSettingsPreferences"/>
+    <addaction name="actionSettingsSettings" />
    </widget>
-   <widget class="QMenu" name="menuHelp">
-    <property name="title">
-     <string>&amp;Help</string>
+   <widget class="QMenu" name="menuHelp" >
+    <property name="title" >
+     <string>&amp;Помощь</string>
     </property>
-    <addaction name="actionHelpContents"/>
-    <addaction name="actionHelpContextual"/>
-    <addaction name="separator"/>
-    <addaction name="actionHelpOnlineSupport"/>
-    <addaction name="actionHelpReportBug"/>
-    <addaction name="separator"/>
-    <addaction name="actionHelpAboutQt"/>
-    <addaction name="actionHelpAbout"/>
+    <addaction name="actionHelpContents" />
+    <addaction name="actionHelpContextual" />
+    <addaction name="separator" />
+    <addaction name="actionHelpAbout" />
    </widget>
-   <addaction name="menuFile"/>
-   <addaction name="menuSettings"/>
-   <addaction name="menuHelp"/>
+   <addaction name="menuFile" />
+   <addaction name="menuSettings" />
+   <addaction name="menuHelp" />
   </widget>
-  <widget class="QToolBar" name="toolBarMain">
-   <property name="cursor">
+  <widget class="QStatusBar" name="statusbar" />
+  <widget class="QToolBar" name="toolBar" >
+   <property name="cursor" >
     <cursorShape>ArrowCursor</cursorShape>
    </property>
-   <property name="windowTitle">
-    <string>Main Toolbar</string>
-   </property>
-   <attribute name="toolBarArea">
+   <property name="iconSize" >
+    <size>
+     <width>17</width>
+     <height>18</height>
+    </size>
+   </property>
+   <attribute name="toolBarArea" >
     <enum>TopToolBarArea</enum>
    </attribute>
-   <attribute name="toolBarBreak">
+   <attribute name="toolBarBreak" >
     <bool>false</bool>
    </attribute>
-   <addaction name="actionFileNew"/>
-   <addaction name="actionFileOpen"/>
-   <addaction name="actionFileSave"/>
-   <addaction name="separator"/>
-   <addaction name="actionSettingsPreferences"/>
-   <addaction name="separator"/>
-   <addaction name="actionFileExit"/>
+   <addaction name="actionFileNew" />
+   <addaction name="separator" />
+   <addaction name="actionFileSaveAll" />
+   <addaction name="actionFileOpen" />
+   <addaction name="separator" />
+   <addaction name="actionFilePrint" />
+   <addaction name="actionSettingsSettings" />
+   <addaction name="separator" />
+   <addaction name="actionFileExit" />
   </widget>
-  <action name="actionFileSaveAsSolution">
-   <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Solution...</string>
-   </property>
-   <property name="toolTip">
-    <string>Save solution</string>
-   </property>
-   <property name="statusTip">
-    <string>Save solution to a file</string>
-   </property>
-  </action>
-  <action name="actionFileNew">
-   <property name="text">
-    <string>&amp;New</string>
-   </property>
-   <property name="toolTip">
-    <string>New task</string>
-   </property>
-   <property name="statusTip">
-    <string>Create new task</string>
-   </property>
-   <property name="shortcut">
+  <action name="actionFilePrintSetup" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/PrintSetup.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Настройка печати</string>
+   </property>
+  </action>
+  <action name="actionFilePrint" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Print.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Печать...</string>
+   </property>
+   <property name="shortcut" >
+    <string>Ctrl+P</string>
+   </property>
+  </action>
+  <action name="actionFileSaveResults" >
+   <property name="text" >
+    <string>&amp;Ход решения</string>
+   </property>
+  </action>
+  <action name="actionFileSaveGraph" >
+   <property name="text" >
+    <string>&amp;Граф решения</string>
+   </property>
+  </action>
+  <action name="actionFileSaveAll" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
+   </property>
+   <property name="text" >
+    <string>Сохранить &amp;все</string>
+   </property>
+   <property name="shortcut" >
+    <string>Ctrl+S</string>
+   </property>
+  </action>
+  <action name="actionFileNew" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Document.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Создать</string>
+   </property>
+   <property name="shortcut" >
     <string>Ctrl+N</string>
    </property>
   </action>
-  <action name="actionFileOpen">
-   <property name="text">
-    <string>&amp;Open...</string>
-   </property>
-   <property name="toolTip">
-    <string>Open task</string>
-   </property>
-   <property name="statusTip">
-    <string>Open saved task</string>
-   </property>
-   <property name="shortcut">
+  <action name="actionFileOpen" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OpenFolder.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Открыть</string>
+   </property>
+   <property name="shortcut" >
     <string>Ctrl+O</string>
    </property>
   </action>
-  <action name="actionSettingsPreferences">
-   <property name="text">
-    <string>&amp;Preferences...</string>
-   </property>
-   <property name="statusTip">
-    <string>Application preferences</string>
-   </property>
-  </action>
-  <action name="actionHelpContents">
-   <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Contents</string>
-   </property>
-   <property name="statusTip">
-    <string>Open help contents</string>
-   </property>
-   <property name="shortcut">
-    <string>Ctrl+F1</string>
-   </property>
-  </action>
-  <action name="actionHelpContextual">
-   <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="text">
-    <string>Context &amp;Help</string>
-   </property>
-   <property name="statusTip">
-    <string>Open context help</string>
-   </property>
-   <property name="shortcut">
-    <string>F1</string>
-   </property>
-  </action>
-  <action name="actionHelpAbout">
-   <property name="text">
-    <string>&amp;About TSPSG...</string>
-   </property>
-  </action>
-  <action name="actionFileExit">
-   <property name="text">
-    <string>E&amp;xit</string>
-   </property>
-  </action>
-  <action name="actionFileSaveAsTask">
-   <property name="text">
-    <string>&amp;Task...</string>
-   </property>
-   <property name="toolTip">
-    <string>Save task</string>
-   </property>
-   <property name="statusTip">
-    <string>Save task to file</string>
-   </property>
-  </action>
-  <action name="actionSettingsLanguageAutodetect">
-   <property name="checkable">
-    <bool>true</bool>
-   </property>
-   <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Autodetect</string>
-   </property>
-   <property name="toolTip">
-    <string>Detect language automatically</string>
-   </property>
-   <property name="statusTip">
-    <string>Detect language automatically based on regional settings</string>
-   </property>
-  </action>
-  <action name="actionSettingsLanguageEnglish">
-   <property name="checkable">
-    <bool>true</bool>
-   </property>
-   <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string notr="true">&amp;English</string>
-   </property>
-   <property name="iconText">
-    <string notr="true">English</string>
-   </property>
-   <property name="statusTip">
-    <string notr="true">Set application language to English</string>
-   </property>
-  </action>
-  <action name="actionFileSave">
-   <property name="text">
-    <string>&amp;Save</string>
-   </property>
-   <property name="toolTip">
-    <string>Save task</string>
-   </property>
-   <property name="statusTip">
-    <string>Save current task</string>
-   </property>
-   <property name="shortcut">
-    <string>Ctrl+S</string>
-   </property>
-  </action>
-  <action name="actionHelpAboutQt">
-   <property name="text">
-    <string>About &amp;Qt...</string>
-   </property>
-   <property name="statusTip">
-    <string>About Qt library</string>
-   </property>
-   <property name="menuRole">
-    <enum>QAction::AboutQtRole</enum>
-   </property>
-  </action>
-  <action name="actionSettingsStyleSystem">
-   <property name="checkable">
-    <bool>true</bool>
-   </property>
-   <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string>System Default</string>
-   </property>
-   <property name="statusTip">
-    <string>Automatically choose the most appropriate style</string>
-   </property>
-  </action>
-  <action name="actionHelpOnlineSupport">
-   <property name="text">
-    <string>Online &amp;Support...</string>
-   </property>
-   <property name="statusTip">
-    <string>Get support online</string>
-   </property>
-  </action>
-  <action name="actionHelpReportBug">
-   <property name="text">
-    <string>Report a &amp;Bug...</string>
+  <action name="actionSettingsSettings" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Properties.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Параметры</string>
+   </property>
+  </action>
+  <action name="actionHelpContents" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/book_open.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Содежание</string>
+   </property>
+  </action>
+  <action name="actionHelpContextual" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Help.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Контекстная справка</string>
+   </property>
+  </action>
+  <action name="actionHelpAbout" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/infoBubble.png</iconset>
+   </property>
+   <property name="text" >
+    <string>&amp;Про...</string>
+   </property>
+  </action>
+  <action name="actionFileExit" >
+   <property name="icon" >
+    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/NoAction.png</iconset>
+   </property>
+   <property name="text" >
+    <string>В&amp;ыход</string>
+   </property>
+   <property name="statusTip" >
+    <string>Выйти из программы</string>
    </property>
   </action>
  </widget>
  <resources>
-  <include location="../resources/common.qrc"/>
+  <include location="../resources/tspsg.qrc" />
  </resources>
  <connections>
@@ -526,9 +393,9 @@
    <slot>close()</slot>
    <hints>
-    <hint type="sourcelabel">
+    <hint type="sourcelabel" >
      <x>-1</x>
      <y>-1</y>
     </hint>
-    <hint type="destinationlabel">
+    <hint type="destinationlabel" >
      <x>294</x>
      <y>229</y>
@@ -536,20 +403,4 @@
    </hints>
   </connection>
-  <connection>
-   <sender>buttonSaveSolution</sender>
-   <signal>clicked()</signal>
-   <receiver>actionFileSaveAsSolution</receiver>
-   <slot>trigger()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>58</x>
-     <y>327</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-   </hints>
-  </connection>
  </connections>
 </ui>