Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision 8b0661d1eed0a6d76c610b0056343423a9523e15)
+++ ui/mainwindow.ui	(revision 3cadf24d0079d807203983c055385a52a64fbbcd)
@@ -143,8 +143,4 @@
           <string>Random</string>
          </property>
-         <property name="icon">
-          <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
-         </property>
         </widget>
        </item>
@@ -159,8 +155,4 @@
          <property name="text">
           <string>Solve</string>
-         </property>
-         <property name="icon">
-          <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/dialog-ok.png</normaloff>:/images/icons/dialog-ok.png</iconset>
          </property>
         </widget>
@@ -210,8 +202,4 @@
           <string>Save Solution</string>
          </property>
-         <property name="icon">
-          <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/document-save-as.png</normaloff>:/images/icons/document-save-as.png</iconset>
-         </property>
         </widget>
        </item>
@@ -240,8 +228,4 @@
           <string>Back to Task</string>
          </property>
-         <property name="icon">
-          <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/go-previous.png</normaloff>:/images/icons/go-previous.png</iconset>
-         </property>
         </widget>
        </item>
@@ -251,5 +235,5 @@
    </widget>
   </widget>
-  <widget class="QMenuBar" name="menubar">
+  <widget class="QMenuBar" name="menuMain">
    <property name="geometry">
     <rect>
@@ -272,8 +256,4 @@
      <property name="title">
       <string>Save &amp;As</string>
-     </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/document-save-as.png</normaloff>:/images/icons/document-save-as.png</iconset>
      </property>
      <addaction name="actionFileSaveAsTask"/>
@@ -295,8 +275,4 @@
       <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
      </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/preferences-desktop-locale.png</normaloff>:/images/icons/preferences-desktop-locale.png</iconset>
-     </property>
      <addaction name="actionSettingsLanguageAutodetect"/>
      <addaction name="separator"/>
@@ -306,8 +282,4 @@
      <property name="title">
       <string>Style</string>
-     </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/preferences-desktop-theme.png</normaloff>:/images/icons/preferences-desktop-theme.png</iconset>
      </property>
     </widget>
@@ -373,8 +345,4 @@
   </action>
   <action name="actionFileNew">
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/document-new.png</normaloff>:/images/icons/document-new.png</iconset>
-   </property>
    <property name="text">
     <string>&amp;New</string>
@@ -391,8 +359,4 @@
   </action>
   <action name="actionFileOpen">
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/document-open.png</normaloff>:/images/icons/document-open.png</iconset>
-   </property>
    <property name="text">
     <string>&amp;Open...</string>
@@ -409,8 +373,4 @@
   </action>
   <action name="actionSettingsPreferences">
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/preferences-system.png</normaloff>:/images/icons/preferences-system.png</iconset>
-   </property>
    <property name="text">
     <string>&amp;Preferences...</string>
@@ -424,8 +384,4 @@
     <bool>false</bool>
    </property>
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help-contents.png</normaloff>:/images/icons/help-contents.png</iconset>
-   </property>
    <property name="text">
     <string>&amp;Contents</string>
@@ -442,8 +398,4 @@
     <bool>false</bool>
    </property>
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help-contextual.png</normaloff>:/images/icons/help-contextual.png</iconset>
-   </property>
    <property name="text">
     <string>Context &amp;Help</string>
@@ -457,8 +409,4 @@
   </action>
   <action name="actionHelpAbout">
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help-about.png</normaloff>:/images/icons/help-about.png</iconset>
-   </property>
    <property name="text">
     <string>&amp;About TSPSG...</string>
@@ -469,8 +417,4 @@
   </action>
   <action name="actionFileExit">
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/application-exit.png</normaloff>:/images/icons/application-exit.png</iconset>
-   </property>
    <property name="text">
     <string>E&amp;xit</string>
@@ -526,8 +470,4 @@
   </action>
   <action name="actionFileSave">
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/document-save.png</normaloff>:/images/icons/document-save.png</iconset>
-   </property>
    <property name="text">
     <string>&amp;Save</string>
@@ -553,4 +493,7 @@
    <property name="statusTip">
     <string>About Qt library</string>
+   </property>
+   <property name="menuRole">
+    <enum>QAction::AboutQtRole</enum>
    </property>
   </action>