Index: i18n/en.ts
===================================================================
--- i18n/en.ts	(revision 2fb523720a40ca7777955370fe8f1c0f396b7e50)
+++ i18n/en.ts	(revision 5a81a64d743c8148a351676a7afbd248b0d50c40)
@@ -279,7 +279,7 @@
     </message>
     <message>
+        <location filename="../src/mainwindow.h" line="79"/>
         <location filename="../src/mainwindow.cpp" line="259"/>
         <location filename="../src/mainwindow.cpp" line="565"/>
-        <location filename="../src/mainwindow.h" line="79"/>
         <source>Untitled</source>
         <translation type="unfinished"></translation>
@@ -667,91 +667,91 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="338"/>
+        <location filename="../ui/settingsdialog.ui" line="268"/>
         <source>Random values:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="346"/>
+        <location filename="../ui/settingsdialog.ui" line="276"/>
         <source>&amp;Minimal:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="365"/>
+        <location filename="../ui/settingsdialog.ui" line="295"/>
         <source>Minimum for random number generation</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="376"/>
+        <location filename="../ui/settingsdialog.ui" line="306"/>
         <source>Ma&amp;ximal:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="395"/>
+        <location filename="../ui/settingsdialog.ui" line="325"/>
         <source>Maximum for random number generation</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="413"/>
+        <location filename="../ui/settingsdialog.ui" line="343"/>
         <source>Output settings:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="451"/>
+        <location filename="../ui/settingsdialog.ui" line="381"/>
         <source>Font color for printing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="454"/>
+        <location filename="../ui/settingsdialog.ui" line="384"/>
         <source>&amp;Color...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="472"/>
-        <source>Automatically resize rows and columns when content changes</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="475"/>
-        <source>Automatically resize rows and columns</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <location filename="../ui/settingsdialog.ui" line="394"/>
+        <source>Automatically resize rows and columns to their contents</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="397"/>
+        <source>Autosize of rows and columns</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="358"/>
         <source>Font face for printing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="431"/>
+        <location filename="../ui/settingsdialog.ui" line="361"/>
         <source>&amp;Font...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
-        <location filename="../ui/settingsdialog.ui" line="241"/>
+        <location filename="../ui/settingsdialog.ui" line="165"/>
+        <location filename="../ui/settingsdialog.ui" line="171"/>
         <source>Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="238"/>
+        <location filename="../ui/settingsdialog.ui" line="168"/>
         <source>Get preferences help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="163"/>
+        <location filename="../ui/settingsdialog.ui" line="136"/>
         <source>Save new preferences</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="166"/>
+        <location filename="../ui/settingsdialog.ui" line="139"/>
         <source>&amp;OK</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="140"/>
+        <location filename="../ui/settingsdialog.ui" line="113"/>
         <source>Close without saving preferences</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="143"/>
+        <location filename="../ui/settingsdialog.ui" line="116"/>
         <source>&amp;Cancel</source>
         <translation type="unfinished"></translation>
@@ -769,5 +769,4 @@
     <message>
         <location filename="../src/settingsdialog.cpp" line="101"/>
-        <location filename="../ui/settingsdialog.ui" line="204"/>
         <source>Hover mouse pointer over dialog elements to get additional help</source>
         <translation type="unfinished"></translation>
Index: i18n/ru.ts
===================================================================
--- i18n/ru.ts	(revision 2fb523720a40ca7777955370fe8f1c0f396b7e50)
+++ i18n/ru.ts	(revision 5a81a64d743c8148a351676a7afbd248b0d50c40)
@@ -290,7 +290,7 @@
     </message>
     <message>
+        <location filename="../src/mainwindow.h" line="79"/>
         <location filename="../src/mainwindow.cpp" line="259"/>
         <location filename="../src/mainwindow.cpp" line="565"/>
-        <location filename="../src/mainwindow.h" line="79"/>
         <source>Untitled</source>
         <translation>Без имени</translation>
@@ -678,91 +678,91 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="338"/>
+        <location filename="../ui/settingsdialog.ui" line="268"/>
         <source>Random values:</source>
         <translation>Случайные значения:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="346"/>
+        <location filename="../ui/settingsdialog.ui" line="276"/>
         <source>&amp;Minimal:</source>
         <translation>&amp;Минимум:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="365"/>
+        <location filename="../ui/settingsdialog.ui" line="295"/>
         <source>Minimum for random number generation</source>
         <translation>Нижняя граница для генерации случайных значений</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="376"/>
+        <location filename="../ui/settingsdialog.ui" line="306"/>
         <source>Ma&amp;ximal:</source>
         <translation>М&amp;аксимум:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="395"/>
+        <location filename="../ui/settingsdialog.ui" line="325"/>
         <source>Maximum for random number generation</source>
         <translation>Верхняя граница для генерации случайных значений</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="413"/>
+        <location filename="../ui/settingsdialog.ui" line="343"/>
         <source>Output settings:</source>
         <translation>Параметры вывода:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="451"/>
+        <location filename="../ui/settingsdialog.ui" line="381"/>
         <source>Font color for printing</source>
         <translation>Цвет шрифта, используемого при печати</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="454"/>
+        <location filename="../ui/settingsdialog.ui" line="384"/>
         <source>&amp;Color...</source>
         <translation>&amp;Цвет...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="472"/>
-        <source>Automatically resize rows and columns when content changes</source>
-        <translation>Автоматически подганять размер строк и колонок при изменении их содержания</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="475"/>
-        <source>Automatically resize rows and columns</source>
-        <translation>Автоматически подганять строки и колонки</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <location filename="../ui/settingsdialog.ui" line="394"/>
+        <source>Automatically resize rows and columns to their contents</source>
+        <translation>Автоматически подганять размер строк и колонок под их содержание</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="397"/>
+        <source>Autosize of rows and columns</source>
+        <translation>Авторазмер строк и колонок</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="358"/>
         <source>Font face for printing</source>
         <translation>Вид шрифта, используемого при печати</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="431"/>
+        <location filename="../ui/settingsdialog.ui" line="361"/>
         <source>&amp;Font...</source>
         <translation>&amp;Шрифт...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
-        <location filename="../ui/settingsdialog.ui" line="241"/>
+        <location filename="../ui/settingsdialog.ui" line="165"/>
+        <location filename="../ui/settingsdialog.ui" line="171"/>
         <source>Help</source>
         <translation>Помощь</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="238"/>
+        <location filename="../ui/settingsdialog.ui" line="168"/>
         <source>Get preferences help</source>
         <translation>Получить помощь по настройкам</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="163"/>
+        <location filename="../ui/settingsdialog.ui" line="136"/>
         <source>Save new preferences</source>
         <translation>Сохранить новые параметры</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="166"/>
+        <location filename="../ui/settingsdialog.ui" line="139"/>
         <source>&amp;OK</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="140"/>
+        <location filename="../ui/settingsdialog.ui" line="113"/>
         <source>Close without saving preferences</source>
         <translation>Закрыть окно без сохранения параметров</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="143"/>
+        <location filename="../ui/settingsdialog.ui" line="116"/>
         <source>&amp;Cancel</source>
         <translation>&amp;Отмена</translation>
@@ -780,5 +780,4 @@
     <message>
         <location filename="../src/settingsdialog.cpp" line="101"/>
-        <location filename="../ui/settingsdialog.ui" line="204"/>
         <source>Hover mouse pointer over dialog elements to get additional help</source>
         <translation>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</translation>
Index: i18n/uk.ts
===================================================================
--- i18n/uk.ts	(revision 2fb523720a40ca7777955370fe8f1c0f396b7e50)
+++ i18n/uk.ts	(revision 5a81a64d743c8148a351676a7afbd248b0d50c40)
@@ -663,7 +663,7 @@
     </message>
     <message>
+        <location filename="../src/mainwindow.h" line="79"/>
         <location filename="../src/mainwindow.cpp" line="259"/>
         <location filename="../src/mainwindow.cpp" line="565"/>
-        <location filename="../src/mainwindow.h" line="79"/>
         <source>Untitled</source>
         <translation>Без імені</translation>
@@ -684,5 +684,4 @@
     <message>
         <location filename="../src/settingsdialog.cpp" line="101"/>
-        <location filename="../ui/settingsdialog.ui" line="204"/>
         <source>Hover mouse pointer over dialog elements to get additional help</source>
         <translation>Наведіть покажчик миші на елемент ділогу, щоб отримати підказку</translation>
@@ -694,91 +693,91 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="338"/>
+        <location filename="../ui/settingsdialog.ui" line="268"/>
         <source>Random values:</source>
         <translation>Випадкові значення:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="346"/>
+        <location filename="../ui/settingsdialog.ui" line="276"/>
         <source>&amp;Minimal:</source>
         <translation>&amp;Мінімум:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="365"/>
+        <location filename="../ui/settingsdialog.ui" line="295"/>
         <source>Minimum for random number generation</source>
         <translation>Нажня межа для генерації випадкових значень</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="376"/>
+        <location filename="../ui/settingsdialog.ui" line="306"/>
         <source>Ma&amp;ximal:</source>
         <translation>М&amp;аксимум:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="395"/>
+        <location filename="../ui/settingsdialog.ui" line="325"/>
         <source>Maximum for random number generation</source>
         <translation>Верхня межа для генерації випадкових значень</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="413"/>
+        <location filename="../ui/settingsdialog.ui" line="343"/>
         <source>Output settings:</source>
         <translation>Параметри виводу:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="451"/>
+        <location filename="../ui/settingsdialog.ui" line="381"/>
         <source>Font color for printing</source>
         <translation>Колір шрифта для друку</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="454"/>
+        <location filename="../ui/settingsdialog.ui" line="384"/>
         <source>&amp;Color...</source>
         <translation>&amp;Колір...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="472"/>
-        <source>Automatically resize rows and columns when content changes</source>
-        <translation>Автоматично підганяти розмір рядків та колонок при зміні їх змісту</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="475"/>
-        <source>Automatically resize rows and columns</source>
-        <translation>Автоматично підганяти рядки та колонки</translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <location filename="../ui/settingsdialog.ui" line="394"/>
+        <source>Automatically resize rows and columns to their contents</source>
+        <translation>Автоматично підганяти розмір рядків під їх зміст</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="397"/>
+        <source>Autosize of rows and columns</source>
+        <translation>Авторозмір рядків та колонок</translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="358"/>
         <source>Font face for printing</source>
         <translation>Вигляд шрифта для друку</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="431"/>
+        <location filename="../ui/settingsdialog.ui" line="361"/>
         <source>&amp;Font...</source>
         <translation>&amp;Шрифт...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
-        <location filename="../ui/settingsdialog.ui" line="241"/>
+        <location filename="../ui/settingsdialog.ui" line="165"/>
+        <location filename="../ui/settingsdialog.ui" line="171"/>
         <source>Help</source>
         <translation>Допомога</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="238"/>
+        <location filename="../ui/settingsdialog.ui" line="168"/>
         <source>Get preferences help</source>
         <translation>Отримати допомогу по налагодженням</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="163"/>
+        <location filename="../ui/settingsdialog.ui" line="136"/>
         <source>Save new preferences</source>
         <translation>Зберегти нові параметри</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="166"/>
+        <location filename="../ui/settingsdialog.ui" line="139"/>
         <source>&amp;OK</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="140"/>
+        <location filename="../ui/settingsdialog.ui" line="113"/>
         <source>Close without saving preferences</source>
         <translation>Закрити вікно без збереження параметрів</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="143"/>
+        <location filename="../ui/settingsdialog.ui" line="116"/>
         <source>&amp;Cancel</source>
         <translation>&amp;Скасувати</translation>
Index: src/globals.h
===================================================================
--- src/globals.h	(revision 2fb523720a40ca7777955370fe8f1c0f396b7e50)
+++ src/globals.h	(revision 5a81a64d743c8148a351676a7afbd248b0d50c40)
@@ -45,5 +45,5 @@
 // Maximum available number of cities
 #define MAX_NUM_CITIES 30
-// Maximum for random generation limit settings
+// Maximum allowed value for random generation limits
 #define MAX_RAND_VALUE 1000
 
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision 2fb523720a40ca7777955370fe8f1c0f396b7e50)
+++ src/settingsdialog.cpp	(revision 5a81a64d743c8148a351676a7afbd248b0d50c40)
@@ -84,5 +84,6 @@
 	imgIcon = new QLabel(this);
 	imgIcon->setObjectName("imgIcon");
-	imgIcon->setFrameShape(QFrame::StyledPanel);
+	imgIcon->setSizePolicy(QSizePolicy::Fixed,QSizePolicy::Expanding);
+	imgIcon->setFrameShape(QFrame::Panel);
 	imgIcon->setLineWidth(0);
 	imgIcon->setPixmap(QPixmap(QString::fromUtf8(":/images/icons/preferences_system.png")));
@@ -93,6 +94,7 @@
 	labelHint->setObjectName("labelHint");
 	labelHint->setSizePolicy(QSizePolicy::Expanding,QSizePolicy::Preferred);
-	labelHint->setMinimumSize(QSize(190,28));
-	labelHint->setMaximumSize(QSize(0xFFFFFF,28));
+//	labelHint->setMinimumSize(QSize(190,28));
+	labelHint->setMinimumSize(QSize(0,28));
+	labelHint->setMaximumSize(QSize(QWIDGETSIZE_MAX,28));
 	labelHint->setTextFormat(Qt::PlainText);
 //	labelHint->setAlignment(Qt::AlignLeft | Qt::AlignTop);
@@ -239,4 +241,10 @@
 			labelHint->setText(labelHint->statusTip());
 		return true;
+	// Making imgIcon square.
+	} else if (ev->type() == QEvent::Show) {
+bool result = QDialog::event(ev);
+		if (result)
+			imgIcon->setMinimumWidth(imgIcon->height());
+		return result;
 	} else
 		return QDialog::event(ev);
Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 2fb523720a40ca7777955370fe8f1c0f396b7e50)
+++ ui/settingsdialog.ui	(revision 5a81a64d743c8148a351676a7afbd248b0d50c40)
@@ -3,12 +3,4 @@
  <class>SettingsDialog</class>
  <widget class="QWidget" name="SettingsDialog">
-  <property name="geometry">
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>241</width>
-    <height>182</height>
-   </rect>
-  </property>
   <property name="windowTitle">
    <string>Preferences</string>
@@ -19,12 +11,4 @@
   </property>
   <widget class="Line" name="lineHorizontal">
-   <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>130</y>
-     <width>241</width>
-     <height>2</height>
-    </rect>
-   </property>
    <property name="maximumSize">
     <size>
@@ -44,12 +28,4 @@
   </widget>
   <widget class="QWidget" name="bgGrey" native="true">
-   <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>140</y>
-     <width>241</width>
-     <height>41</height>
-    </rect>
-   </property>
    <property name="sizePolicy">
     <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
@@ -61,5 +37,5 @@
     <palette>
      <active>
-      <colorrole role="Base">
+      <colorrole role="Window">
        <brush brushstyle="SolidPattern">
         <color alpha="255">
@@ -70,4 +46,6 @@
        </brush>
       </colorrole>
+     </active>
+     <inactive>
       <colorrole role="Window">
        <brush brushstyle="SolidPattern">
@@ -79,7 +57,7 @@
        </brush>
       </colorrole>
-     </active>
-     <inactive>
-      <colorrole role="Base">
+     </inactive>
+     <disabled>
+      <colorrole role="Window">
        <brush brushstyle="SolidPattern">
         <color alpha="255">
@@ -90,33 +68,4 @@
        </brush>
       </colorrole>
-      <colorrole role="Window">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>240</red>
-         <green>240</green>
-         <blue>240</blue>
-        </color>
-       </brush>
-      </colorrole>
-     </inactive>
-     <disabled>
-      <colorrole role="Base">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>240</red>
-         <green>240</green>
-         <blue>240</blue>
-        </color>
-       </brush>
-      </colorrole>
-      <colorrole role="Window">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>240</red>
-         <green>240</green>
-         <blue>240</blue>
-        </color>
-       </brush>
-      </colorrole>
      </disabled>
     </palette>
@@ -126,12 +75,4 @@
    </property>
    <widget class="QPushButton" name="buttonCancel">
-    <property name="geometry">
-     <rect>
-      <x>160</x>
-      <y>10</y>
-      <width>75</width>
-      <height>24</height>
-     </rect>
-    </property>
     <property name="cursor">
      <cursorShape>PointingHandCursor</cursorShape>
@@ -149,12 +90,4 @@
    </widget>
    <widget class="QPushButton" name="buttonOK">
-    <property name="geometry">
-     <rect>
-      <x>80</x>
-      <y>10</y>
-      <width>77</width>
-      <height>26</height>
-     </rect>
-    </property>
     <property name="cursor">
      <cursorShape>PointingHandCursor</cursorShape>
@@ -174,59 +107,8 @@
     </property>
    </widget>
-   <widget class="QLabel" name="labelHint">
-    <property name="geometry">
-     <rect>
-      <x>50</x>
-      <y>10</y>
-      <width>16</width>
-      <height>28</height>
-     </rect>
-    </property>
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="minimumSize">
-     <size>
-      <width>0</width>
-      <height>28</height>
-     </size>
-    </property>
-    <property name="maximumSize">
-     <size>
-      <width>16777215</width>
-      <height>28</height>
-     </size>
-    </property>
-    <property name="statusTip">
-     <string>Hover mouse pointer over dialog elements to get additional help</string>
-    </property>
-    <property name="text">
-     <string/>
-    </property>
-    <property name="textFormat">
-     <enum>Qt::PlainText</enum>
-    </property>
-    <property name="alignment">
-     <set>Qt::AlignJustify|Qt::AlignTop</set>
-    </property>
-    <property name="wordWrap">
-     <bool>true</bool>
-    </property>
-   </widget>
    <widget class="QToolButton" name="buttonHelp">
     <property name="enabled">
      <bool>false</bool>
     </property>
-    <property name="geometry">
-     <rect>
-      <x>10</x>
-      <y>10</y>
-      <width>23</width>
-      <height>22</height>
-     </rect>
-    </property>
     <property name="cursor">
      <cursorShape>PointingHandCursor</cursorShape>
@@ -251,16 +133,8 @@
   </widget>
   <widget class="QWidget" name="bgWhite" native="true">
-   <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>0</y>
-     <width>239</width>
-     <height>121</height>
-    </rect>
-   </property>
    <property name="palette">
     <palette>
      <active>
-      <colorrole role="Base">
+      <colorrole role="Window">
        <brush brushstyle="SolidPattern">
         <color alpha="255">
@@ -271,4 +145,6 @@
        </brush>
       </colorrole>
+     </active>
+     <inactive>
       <colorrole role="Window">
        <brush brushstyle="SolidPattern">
@@ -280,7 +156,7 @@
        </brush>
       </colorrole>
-     </active>
-     <inactive>
-      <colorrole role="Base">
+     </inactive>
+     <disabled>
+      <colorrole role="Window">
        <brush brushstyle="SolidPattern">
         <color alpha="255">
@@ -291,33 +167,4 @@
        </brush>
       </colorrole>
-      <colorrole role="Window">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>255</red>
-         <green>255</green>
-         <blue>255</blue>
-        </color>
-       </brush>
-      </colorrole>
-     </inactive>
-     <disabled>
-      <colorrole role="Base">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>255</red>
-         <green>255</green>
-         <blue>255</blue>
-        </color>
-       </brush>
-      </colorrole>
-      <colorrole role="Window">
-       <brush brushstyle="SolidPattern">
-        <color alpha="255">
-         <red>255</red>
-         <green>255</green>
-         <blue>255</blue>
-        </color>
-       </brush>
-      </colorrole>
      </disabled>
     </palette>
@@ -327,12 +174,4 @@
    </property>
    <widget class="QGroupBox" name="groupRandomSettings">
-    <property name="geometry">
-     <rect>
-      <x>10</x>
-      <y>10</y>
-      <width>115</width>
-      <height>84</height>
-     </rect>
-    </property>
     <property name="title">
      <string>Random values:</string>
@@ -340,5 +179,5 @@
     <layout class="QVBoxLayout">
      <item>
-      <layout class="QHBoxLayout">
+      <layout class="QHBoxLayout" name="_2">
        <item>
         <widget class="QLabel" name="labelRandMin">
@@ -370,5 +209,5 @@
      </item>
      <item>
-      <layout class="QHBoxLayout">
+      <layout class="QHBoxLayout" name="_3">
        <item>
         <widget class="QLabel" name="labelRandMax">
@@ -402,24 +241,8 @@
    </widget>
    <widget class="QGroupBox" name="groupOutputSettings">
-    <property name="geometry">
-     <rect>
-      <x>131</x>
-      <y>10</y>
-      <width>95</width>
-      <height>88</height>
-     </rect>
-    </property>
     <property name="title">
      <string>Output settings:</string>
     </property>
     <widget class="QPushButton" name="buttonFont">
-     <property name="geometry">
-      <rect>
-       <x>10</x>
-       <y>24</y>
-       <width>75</width>
-       <height>24</height>
-      </rect>
-     </property>
      <property name="cursor">
       <cursorShape>PointingHandCursor</cursorShape>
@@ -437,12 +260,4 @@
     </widget>
     <widget class="QPushButton" name="buttonColor">
-     <property name="geometry">
-      <rect>
-       <x>10</x>
-       <y>54</y>
-       <width>75</width>
-       <height>24</height>
-      </rect>
-     </property>
      <property name="cursor">
       <cursorShape>PointingHandCursor</cursorShape>
@@ -461,17 +276,12 @@
    </widget>
    <widget class="QCheckBox" name="cbAutosize">
-    <property name="geometry">
-     <rect>
-      <x>10</x>
-      <y>90</y>
-      <width>247</width>
-      <height>19</height>
-     </rect>
-    </property>
-    <property name="statusTip">
-     <string>Automatically resize rows and columns when content changes</string>
-    </property>
-    <property name="text">
-     <string>Automatically resize rows and columns</string>
+    <property name="cursor">
+     <cursorShape>PointingHandCursor</cursorShape>
+    </property>
+    <property name="statusTip">
+     <string>Automatically resize rows and columns to their contents</string>
+    </property>
+    <property name="text">
+     <string>Autosize of rows and columns</string>
     </property>
    </widget>