Index: src/_.h
===================================================================
--- src/_.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/_.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/defaults.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Contains TSPSG defaults.
Index: src/globals.cpp
===================================================================
--- src/globals.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/globals.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/globals.h
===================================================================
--- src/globals.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/globals.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Contains TSPSG global defines.
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/main.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/mainwindow.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/mainwindow.h
===================================================================
--- src/mainwindow.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/mainwindow.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Defines MainWindow class.
Index: src/os.h
===================================================================
--- src/os.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/os.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \warning Arch detection works only for <b>GNU C</b>, <b>Visual Studio</b>, <b>Intel C/C++</b> and <b>MinGW32</b> compilers.
Index: src/pch.h
===================================================================
--- src/pch.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/pch.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright (C) 2007-2010 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Precompiled Header (PCH) file
Index: src/resource.h
===================================================================
--- src/resource.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/resource.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Contains windows resource IDs.
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/settingsdialog.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/settingsdialog.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Defines SettingsDialog class.
Index: src/shobjidl.h
===================================================================
--- src/shobjidl.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/shobjidl.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -5,6 +5,6 @@
  * \version Microsoft Windows SDK v7.0A
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief This file is a minimal required part of \c %shobjidl.h from <b>Microsoft Windows SDK v7.0A</b>.
Index: src/tspmodel.cpp
===================================================================
--- src/tspmodel.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/tspmodel.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
Index: src/tspmodel.h
===================================================================
--- src/tspmodel.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/tspmodel.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Defines CTSPModel class.
Index: src/tspsolver.cpp
===================================================================
--- src/tspsolver.cpp	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/tspsolver.cpp	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  *  This file is part of TSPSG.
@@ -31,9 +31,9 @@
 /*!
  * \brief Returns CTSPSolver's version ID.
- * \return A string: <b>\$Id$</b>.
+ * \return A string: <b>\$Id: $Format:%h %ai %an$ $</b>.
  */
 QString CTSPSolver::getVersionId()
 {
-    return QString("$Id$");
+    return QString("$Id: $Format:%h %ai %an$ $");
 }
 
Index: src/tspsolver.h
===================================================================
--- src/tspsolver.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/tspsolver.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Defines TSPSolver namespace and everything needed for solving TSP tasks.
Index: src/version.h
===================================================================
--- src/version.h	(revision a919b54cac92f48ee58339bad5d30b8c2b9d784a)
+++ src/version.h	(revision 7ba743d98394952eae50e1c0eea8ff7ca1dd1535)
@@ -3,6 +3,6 @@
  * \author Copyright &copy; 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
  *
- *  $Id$
- *  $URL$
+ *  $Id: $Format:%h %ai %an$ $
+ *  $URL: http://tspsg.info/ $
  *
  * \brief Contains TSPSG version information defines.